Subject: bug#50937: closed (Re: bug#50937: Outdated TODO item about "dynamic embedded graphics"?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Oct 2021 15:30:03 +0000

Your bug report

#50937: Outdated TODO item about "dynamic embedded graphics"?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50937: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50937
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50937: Outdated TODO item about "dynamic embedded graphics"?
From: Stefan Kangas <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Sat, 2 Oct 2021 17:29:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

> I believe the SVG support can indeed provide the functionality
> I intended to describe in the above TODO item.

Thanks, I've therefore removed this item from the TODO.

Subject: Outdated TODO item about "dynamic embedded graphics"?
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Fri, 1 Oct 2021 14:51:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Severity: wishlist

X-Debbugs-CC: [email-masked], [email-masked]

>From etc/TODO:

  ** Better support for dynamic embedded graphics
  I like this idea (my mpc.el code could use it for the volume widget),
  though I wonder if the resulting efficiency will be sufficient.

Is this item still relevant, with the improvements made by Alan Third
to svg support lately?  It seems very usable for something like
mpc.el, and it even works with resizing.  In fact, I'm working on
something much like that, and one of the places where I intend to
experiment is mpc.el.

If it's still relevant, maybe it should be expanded with a sentence or two.